import { InjectionToken, OnInit, TemplateRef } from '@angular/core';
import { ValidationErrors } from '@angular/forms';
import { MatFormFieldControl } from '@angular/material/form-field';
import { Observable } from 'rxjs';
import { ErrorMessages } from './error-messages';
import * as i0 from "@angular/core";
export type ErrorTemplate = {
    template: TemplateRef<any>;
    $implicit: ValidationErrors;
} | {
    template: undefined;
    $implicit: string;
} | undefined;
export declare const NGX_MAT_ERROR_DEFAULT_OPTIONS: InjectionToken<ErrorMessages>;
export declare class NgxMatErrorDef implements OnInit {
    ngxMatErrorDefFor: string;
    readonly template: TemplateRef<any>;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatErrorDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxMatErrorDef, "[ngxMatErrorDef]", never, { "ngxMatErrorDefFor": { "alias": "ngxMatErrorDefFor"; "required": false; }; }, {}, never, never, true, never>;
}
export declare class NgxMatErrors {
    private readonly messages;
    private readonly matFormField;
    private readonly customErrorMessages;
    control?: MatFormFieldControl<any> | '' | null;
    protected readonly error$: Observable<ErrorTemplate>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatErrors, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatErrors, "ngx-mat-errors, [ngx-mat-errors]", never, { "control": { "alias": "ngx-mat-errors"; "required": false; }; }, {}, ["customErrorMessages"], never, true, never>;
}
